apptainer(1)

NAME

apptainer-remote-login - Login to an Apptainer remote endpoint, an OCI/Docker registry or a keyserver using credentials

SYNOPSIS

apptainer remote login [login options...]

DESCRIPTION

The 'remote login' command allows you to set credentials for a specific endpoint,
  an OCI/Docker registry or a keyserver.

If no endpoint or registry is specified, the command will login to the currently
  active remote endpoint.

OPTIONS

-h, --help[=false]
    help for login

-i, --insecure[=false]
    allow insecure login

-p, --password=""
    password / token to authenticate with

--password-stdin[=false]
    take password from standard input

--tokenfile=""
    path to the file holding auth token for login (remote endpoints only)

-u, --username=""
    username to authenticate with (required for Docker/OCI registry login)

EXAMPLE

      To log in to an endpoint:
      $ apptainer remote login
      To login in to a docker/OCI registry:
      $ apptainer remote login --username foo docker://docker.io
      $ apptainer remote login --username foo oras://myregistry.example.com
      Note that many cloud OCI registries use token based authentication. The token
      should be specified as the password for login. A username is still required. E.g.
      when using a standard Azure identity and token to login to an ACR registry the
      username '00000000-0000-0000-0000-000000000000' is required. Consult your provider
      documentation for detail of their login requirements.

SEE ALSO

apptainer-remote(1)

HISTORY

29-Jul-2023 Auto generated by spf13/cobra